Package com.sun.jna.platform.win32

# Class WinNT.LARGE_INTEGER.LowHigh

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.LARGE_INTEGER.LowHigh

Enclosing class:
  WinNT.LARGE_INTEGER

@FieldOrder({"LowPart","HighPart"}) public static class WinNT.LARGE_INTEGER.LowHigh extends Structure

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`WinDef.DWORD`
`HighPart`
`WinDef.DWORD`
`LowPart`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`LowHigh()`
`LowHigh(long value)`
`LowHigh(WinDef.DWORD low, WinDef.DWORD high)`

## Method Summary

Modifier and Type
Method
Description
`long`
`longValue()`
`String`
`toString()`
If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### LowPart

public WinDef.DWORD LowPart

### HighPart

public WinDef.DWORD HighPart

## Constructor Details

### LowHigh

public LowHigh()

### LowHigh

public LowHigh(long value)

### LowHigh

public LowHigh(WinDef.DWORD low, WinDef.DWORD high)

## Method Details

### longValue

public long longValue()

### toString

public String toString()
Description copied from class: `Structure`
If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

Overrides:
  `toString` in class `Structure`
Returns:
  String representation of this object.